class Para{ 

  private int a;    // To s "dane" (zwane polami klasy). 
                    // Okrelaj one z jakich elementw skada si
  private int b;    // bd obiekty tej klasy. 
                    // a = pierwszy skadnik pary, b - drugi

  public Para() {}

  public Para(int x, int y) {
    a = x;  
    b = y;
  }
 
  public Para(int x) {          // inny konstruktor: nadaje obu skadnikom pary
    a = b = x;                  // (a i b) t sam warto x
  } 


  public void set(Para p)  {    // metoda ustalenia wartoci pary
    a = p.a;                    // na podstawie skadnikw przekazanej pary 
    b = p.b;
  } 

  public void set(int x, int y) {
    a = x;
    b = y; 
  }


  public Para add(Para p) {             // metoda dodawania dwch par   
    Para wynik = new Para(a, b);
    wynik.a += p.a;
    wynik.b += p.b;
    return wynik;
  }
  
  public boolean equals(Object o) {
    if (!(o instanceof Para)) return false;
    Para p = (Para) o;
    return a == p.a && b == p.b;
  }

                               
  public String toString()  {                 
    return "( " + a + " , " + b + " )";
  }

}